OffsetPathCollection Class

class NXOpen.Routing.OffsetPathCollection

Bases: object

The Routing OffsetPath object is a list of segments in a route.

It also contains the beginning and ending control point for the path.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

New in version NX4.0.0.

Methods

Method Description
ConvertOffsetPaths Converts an offset path into NXOpen.Positioning.Constraint objects applied to the copied routing objects.
CreateCircularOffsetPath Creates a circular offset path.
CreateRectangularOffsetPath Creates a rectangular offset path.

Enumerations

OffsetPathCollectionBendType Enumeration Bend types for offset path creation

Method Detail

ConvertOffsetPaths

OffsetPathCollection.ConvertOffsetPaths

Converts an offset path into NXOpen.Positioning.Constraint objects applied to the copied routing objects.

Converts the input master offset path as well as all of the children offset paths of the input master offset path.

The NXOpen.Routing.OffsetPath is incompatible with segments created using the NXOpen.Routing.SegmentManager.CreateConstrainedSegment() or to any segments that have NXOpen.Positioning.Constraint objects applied to them. This routine makes the path parallel and associative to each other using constraints rather than the NXOpen.Routing.OffsetPath objects. The converted offset path objects are logged for delete, the next call to NXOpen.Update.DoUpdate() will delete the offset path objects.

Signature ConvertOffsetPaths(masterOffsetPath)

Parameters:masterOffsetPath (NXOpen.Routing.OffsetPath) –

New in version NX5.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

CreateCircularOffsetPath

OffsetPathCollection.CreateCircularOffsetPath

Creates a circular offset path.

Signature CreateCircularOffsetPath(segments, allStock, specStocks, maintainStock, copyBendCorners, maintain, useMinimumBendRatio, minimumBendRatio, minimumBendRadius, deleteAllDuplicates, createAssociativePaths, patternXVector, patternYVector, patternAxisEndPoint, patternStartAngle, radialOffset, nPaths, totalAngle)

Parameters:
  • segments (list of NXOpen.Routing.ISegment) – The list of segments to be associated with the offset path
  • allStock (bool) –
  • specStocks (list of NXOpen.Routing.Stock) –
  • maintainStock (bool) – if TRUE: Maintain stock on paths
  • copyBendCorners (bool) – if TRUE: Copy the bend corners
  • maintain (NXOpen.Routing.OffsetPathCollectionBendType) – Maintain radius or center
  • useMinimumBendRatio (bool) – if TRUE: Use Ratio to Stock Diameter
  • minimumBendRatio (float) – Minimum Bend Ratio
  • minimumBendRadius (float) – Minimum Bend Radius
  • deleteAllDuplicates (bool) – if TRUE: Delete all duplicate paths
  • createAssociativePaths (bool) – if TRUE: Create associative paths
  • patternXVector (NXOpen.Vector3d) – X vector to set the pattern reference axis
  • patternYVector (NXOpen.Vector3d) – Y vector to set the pattern reference axis
  • patternAxisEndPoint (NXOpen.Point3d) – Point to set the pattern reference axis direction if NULL: Computes reference axis using heuristics
  • patternStartAngle (float) – Start angle of the point
  • radialOffset (float) – Offset distance
  • nPaths (int) – Number of paths
  • totalAngle (float) – Total angle
Returns:

a tuple

Return type:

A tuple consisting of (masterOffsetPath, slavePathsCreated). masterOffsetPath is a NXOpen.Routing.OffsetPath. The created master offset path slavePathsCreated is a list of NXOpen.Routing.OffsetPath. The created slave offset paths

New in version NX4.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

CreateRectangularOffsetPath

OffsetPathCollection.CreateRectangularOffsetPath

Creates a rectangular offset path.

Signature CreateRectangularOffsetPath(segments, allStock, specStocks, maintainStock, copyBendCorners, maintain, useMinimumBendRatio, minimumBendRatio, minimumBendRadius, deleteAllDuplicates, createAssociativePaths, patternXVector, patternYVector, patternAxisEndPoint, patternStartAngle, rowOffset, columnOffset, nRows, nColumns, masterRow, masterColumn)

Parameters:
  • segments (list of NXOpen.Routing.ISegment) – The list of segments to be associated with the offset path
  • allStock (bool) –
  • specStocks (list of NXOpen.Routing.Stock) –
  • maintainStock (bool) – if TRUE: Maintain stock on paths
  • copyBendCorners (bool) – if TRUE: Copy the bend corners
  • maintain (NXOpen.Routing.OffsetPathCollectionBendType) – Maintain radius or center
  • useMinimumBendRatio (bool) – if TRUE: Use Ratio to Stock Diameter
  • minimumBendRatio (float) – Minimum Bend Ratio
  • minimumBendRadius (float) – Minimum Bend Radius
  • deleteAllDuplicates (bool) – if TRUE: Delete all duplicate paths
  • createAssociativePaths (bool) – if TRUE: Create associative paths
  • patternXVector (NXOpen.Vector3d) – X vector to set the pattern reference axis
  • patternYVector (NXOpen.Vector3d) – Y vector to set the pattern reference axis
  • patternAxisEndPoint (NXOpen.Point3d) – Point to set the pattern reference axis direction if NULL: Computes reference axis using heuristics
  • patternStartAngle (float) – Start angle of the pattern
  • rowOffset (float) – Offset distance along the row
  • columnOffset (float) – Offset distance along the column
  • nRows (int) – Number of rows
  • nColumns (int) – Number of columns
  • masterRow (int) – Row of the master path
  • masterColumn (int) – Column of the master path
Returns:

a tuple

Return type:

A tuple consisting of (masterOffsetPath, slavePathsCreated). masterOffsetPath is a NXOpen.Routing.OffsetPath. The created master offset path slavePathsCreated is a list of NXOpen.Routing.OffsetPath. The created slave offset paths

New in version NX4.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)